Collect

1. 报 [ErrorException] zlib_decode(): data error 错

解决办法:执行 composer self-update 即可

#2. 在执行迁移或者数据填充时发生「class not found」错误

解决办法:试着先执行 composer dump-autoload 命令后再进行一次。

3.提示以下类似的错误时

  Problem 1
    - The requested package graham-campbell/credentials ~1.0 is satisfiable by graham-campbell/credentials[1.0.x-dev] but these conflict with your requirements
or minimum-stability.

解决方法:在composer.json中添加以下

"minimum-stability": "dev"

4. composer太慢了?换国内镜像

composer config -g repo.packagist composer https://packagist.phpcomposer.com
composer config -g repo.packagist composer https://packagist.laravel-china.org

取消镜像

composer config -g –unset repos.packagist

敏捷开发(Agile Development)
持续集成(Continuous Integration)
持续交付(Continuous Delivery)
开发运维一体化(DevOps)